### Method

# Gtk TreeRowReference valid

deprecated: 4.10

#### Declaration [src]

    gboolean
    gtk_tree_row_reference_valid (
      GtkTreeRowReference* reference
    )

#### Description [src]

Returns `TRUE` if the `reference` is non-`NULL` and refers to a current valid path.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`reference`

  Type: `GtkTreeRowReference`

  A `GtkTreeRowReference`.

  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if `reference` points to a valid path.